Get collection content
Returns the content of the specified collection.
Request
POST
http://<хост_on-premises>/rpc/getCollectionContent
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionId": "example",
"page": "example",
"filterString": "example",
"orderField": "title",
"orderDirection": "asc",
"onlyMy": true,
"mode": "all",
"pageSize": 0.5,
"includePermissionsInfo": true
}
|
Name |
Description |
|
collectionId |
Type: string | null ID of the collection whose content to retrieve. Example: |
|
filterString |
Type: string Filter collection content by title. Example: |
|
includePermissionsInfo |
Type: boolean Include permission information in the response. |
|
mode |
Type: string Types of items to include in the response. Enum: |
|
onlyMy |
Type: boolean Return only items created by the current user. |
|
orderDirection |
Type: string Collection content sorting direction. Enum: |
|
orderField |
Type: string Field to order collection content by. Enum: |
|
page |
Type: string | null Token identifying the page of collection content to retrieve. Example: |
|
pageSize |
Type: number Number of collection items per page. |
Responses
200 OK
Response
Body
application/json
{
"items": [
{
"collectionId": "example",
"title": "example",
"description": "example",
"parentId": "example",
"tenantId": "example",
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"meta": {},
"entity": "collection",
"permissions": {
"listAccessBindings": true,
"updateAccessBindings": true,
"createSharedEntry": true,
"createCollection": true,
"createWorkbook": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true
}
}
],
"nextPageToken": "example"
}
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
items |
Type: arrayOne of 3 types
List of collection content items. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
nextPageToken |
Type: string | null Token for retrieving the next page of results. Example: |
CollectionPermissions
|
Name |
Description |
|
copy |
Type: boolean Indicates if the collection can be copied. |
|
createCollection |
Type: boolean Indicates if child collections can be created in the collection. |
|
createSharedEntry |
Type: boolean Indicates if shared entries can be created in the collection. |
|
createWorkbook |
Type: boolean Indicates if workbooks can be created in the collection. |
|
delete |
Type: boolean Indicates if the collection can be deleted. |
|
limitedView |
Type: boolean Indicates if the collection can be viewed with limited access. |
|
listAccessBindings |
Type: boolean Indicates if access bindings for the collection can be listed. |
|
move |
Type: boolean Indicates if the collection can be moved. |
|
update |
Type: boolean Indicates if the collection can be updated. |
|
updateAccessBindings |
Type: boolean Indicates if access bindings for the collection can be updated. |
|
view |
Type: boolean Indicates if the collection can be viewed. |
Example
{
"listAccessBindings": true,
"updateAccessBindings": true,
"createSharedEntry": true,
"createCollection": true,
"createWorkbook": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true
}
WorkbookPermissions
|
Name |
Description |
|
copy |
Type: boolean Indicates if the workbook can be copied. |
|
delete |
Type: boolean Indicates if the workbook can be deleted. |
|
embed |
Type: boolean Indicates if entries in the workbook can be embedded. |
|
limitedView |
Type: boolean Indicates if the workbook can be viewed with limited access. |
|
listAccessBindings |
Type: boolean Indicates if access bindings for the workbook can be listed. |
|
move |
Type: boolean Indicates if the workbook can be moved. |
|
publish |
Type: boolean Indicates if entries in the workbook can be published. |
|
update |
Type: boolean Indicates if the workbook can be updated. |
|
updateAccessBindings |
Type: boolean Indicates if access bindings for the workbook can be updated. |
|
view |
Type: boolean Indicates if the workbook can be viewed. |
Example
{
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"publish": true,
"embed": true,
"delete": true
}
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
SharedEntryPermissions
|
Name |
Description |
|
copy |
Type: boolean Permission to copy. |
|
createEntryBinding |
Type: boolean Permission to create entry binding. |
|
createLimitedEntryBinding |
Type: boolean Permission to create limited entry binding. |
|
delete |
Type: boolean Permission to delete. |
|
limitedView |
Type: boolean Permission for limited viewing. |
|
listAccessBindings |
Type: boolean Permission to list access bindings. |
|
move |
Type: boolean Permission to move. |
|
update |
Type: boolean Permission to update. |
|
updateAccessBindings |
Type: boolean Permission to update access bindings. |
|
view |
Type: boolean Permission to view. |
Example
{
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true,
"createEntryBinding": true,
"createLimitedEntryBinding": true
}
StructureItemEntry
|
Name |
Description |
|
collectionId |
Type: string ID of the collection the entry belongs to. Example: |
|
displayKey |
Type: string Display key of the entry. Example: |
|
entity |
Type: string Indicates that the item is an entry. Const: Example: |
|
entryId |
Type: string Unique identifier of the entry. Example: |
|
key |
Type: string Key identifier of the entry. Example: |
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
|
title |
Type: string Title of the entry. Example: |
|
type |
Type: string Type of the entry. Example: |
|
updatedAt |
Type: string Last update timestamp. Example: |
|
workbookId |
Type: string | null ID of the workbook the entry belongs to. Example: |
|
permissions |
Type: SharedEntryPermissions Permissions for the entry. Example
|
Example
{
"collectionId": "example",
"updatedAt": "example",
"workbookId": "example",
"scope": "dash",
"type": "example",
"key": "example",
"entryId": "example",
"entity": "entry",
"displayKey": "example",
"title": "example",
"permissions": {
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"delete": true,
"createEntryBinding": true,
"createLimitedEntryBinding": true
}
}